aboutsummaryrefslogtreecommitdiffstats
path: root/docs/build.sh
diff options
context:
space:
mode:
authorThomas Kriechbaumer <thomas@kriechbaumer.name>2020-04-11 12:25:56 +0200
committerThomas Kriechbaumer <thomas@kriechbaumer.name>2020-04-11 12:25:56 +0200
commit55527c00eb35bf3b07b361363fd8ca2961afc8ba (patch)
tree4d9067ff2bcfd921dcb24852b522537f948e6801 /docs/build.sh
parent5ea75a1a8176f764429fb45875626b1b7ef6644c (diff)
downloadmitmproxy-55527c00eb35bf3b07b361363fd8ca2961afc8ba.tar.gz
mitmproxy-55527c00eb35bf3b07b361363fd8ca2961afc8ba.tar.bz2
mitmproxy-55527c00eb35bf3b07b361363fd8ca2961afc8ba.zip
docs: rename docs scripts and improve template
Diffstat (limited to 'docs/build.sh')
-rwxr-xr-xdocs/build.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/docs/build.sh b/docs/build.sh
new file mode 100755
index 00000000..aaa52a2f
--- /dev/null
+++ b/docs/build.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o pipefail
+set -o nounset
+# set -o xtrace
+
+SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
+pushd ${SCRIPTPATH}
+
+for script in scripts/* ; do
+ output="${script##*/}"
+ output="src/generated/${output%.*}.html"
+ echo "Generating output for ${script} into ${output} ..."
+ "${script}" > "${output}"
+done
+
+output="src/content/addons-examples.md"
+echo "Generating examples content page into ${output} ..."
+./render_examples.py > "${output}"
+
+cd src
+hugo